Package classycle.util

# Class OrStringPattern

java.lang.Object
classycle.util.StringPatternSequence
classycle.util.OrStringPattern

All Implemented Interfaces:
  `StringPattern`

public class OrStringPattern extends StringPatternSequence
Logical OR Operation on a sequence of `StringPatterns`.

Author:
  Franz-Josef Elmer

## Field Summary

### Fields inherited from class classycle.util.StringPatternSequence

`_patterns`

## Constructor Summary

Constructors
Constructor
Description
`OrStringPattern(StringPattern... pattern)`
Creates instance with specified patterns.

## Method Summary

Modifier and Type
Method
Description
`protected String`
`getOperatorSymbol()`
Returns the operator symbol for pretty printing.
`boolean`
`matches(String string)`
Return `true` if a pattern in the sequence returns `true`.

### Methods inherited from class classycle.util.StringPatternSequence

`appendPattern, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### OrStringPattern

public OrStringPattern(StringPattern... pattern)
Creates instance with specified patterns.

## Method Details

### matches

public boolean matches(String string)
Return `true` if a pattern in the sequence returns `true`. Otherwise `false` is returned.

Parameters:
  `string` - String to be matched. Can be `null`.

### getOperatorSymbol

protected String getOperatorSymbol()
Description copied from class: `StringPatternSequence`
Returns the operator symbol for pretty printing. Needed by `toString()`.

Specified by:
  `getOperatorSymbol` in class `StringPatternSequence`